Index: /branches/camera/src/world_entities/blackscreen.cc
===================================================================
--- /branches/camera/src/world_entities/blackscreen.cc	(revision 10341)
+++ /branches/camera/src/world_entities/blackscreen.cc	(revision 10342)
@@ -25,6 +25,6 @@
 #include "class_id_DEPRECATED.h"
 
-ObjectListDefinition(blackscreen);
-CREATE_FACTORY(blackscreen);
+ObjectListDefinition(BlackScreen);
+CREATE_FACTORY(BlackScreen);
 
 
@@ -33,5 +33,5 @@
  *
  */
-blackscreen::blackscreen()
+BlackScreen::BlackScreen()
 {
   this->init();
@@ -44,5 +44,5 @@
  *
  */
-blackscreen::blackscreen(const TiXmlElement* root)
+BlackScreen::BlackScreen(const TiXmlElement* root)
 {
   this->init();
@@ -57,5 +57,5 @@
  *
  */
-blackscreen::~blackscreen()
+BlackScreen::~BlackScreen()
 {}
 
@@ -64,7 +64,7 @@
  *
  */
-void blackscreen::init()
+void BlackScreen::init()
 {
-  this->registerObject(this, blackscreen::_objectList);
+  this->registerObject(this, BlackScreen::_objectList);
   this->toList(OM_GROUP_00);
 
@@ -73,5 +73,5 @@
   this->material->setBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
 
-  i=1;
+  i=0;
   state=0;
   fadeSpeed=1;
@@ -84,15 +84,15 @@
  * @param root the XML-element to load the MD2Creature's properties from
  */
-void blackscreen::loadParams(const TiXmlElement* root)
+void BlackScreen::loadParams(const TiXmlElement* root)
 {
   WorldEntity::loadParams(root);
 }
 
-void blackscreen::draw() const
+void BlackScreen::draw() const
 {
   glPushAttrib(GL_ENABLE_BIT);
   glDisable(GL_LIGHTING);
   glPushMatrix();
-  glEnable(GL_BLEND);	// Turn Blending On
+  glEnable(GL_BLEND);   // Turn Blending On
 
 this->material->setTransparency(i);
@@ -118,5 +118,5 @@
  *
  */
-void blackscreen::tick (float time)
+void BlackScreen::tick (float time)
 {
 if (state == true)
@@ -126,5 +126,5 @@
 }
 
-void blackscreen::fadeIn()
+void BlackScreen::fadeIn()
 {
   if (i>0)
@@ -132,5 +132,5 @@
 }
 
-void blackscreen::fadeOut()
+void BlackScreen::fadeOut()
 {
   if (i<=1)
@@ -138,5 +138,5 @@
 }
 
-void  blackscreen::toggleFade ()
+void  BlackScreen::toggleFade ()
 {
 
@@ -144,10 +144,10 @@
 }
 
-void blackscreen::changeFadeSpeed(float newSpeed)
+void BlackScreen::changeFadeSpeed(float newSpeed)
 {
   fadeSpeed=newSpeed;
 }
 
-bool blackscreen::isBlack()
+bool BlackScreen::isBlack()
 {
 if (i==1)
@@ -157,5 +157,5 @@
 }
 
-bool blackscreen::isTrans()
+bool BlackScreen::isTrans()
 {
   if (i==0)
Index: /branches/camera/src/world_entities/blackscreen.h
===================================================================
--- /branches/camera/src/world_entities/blackscreen.h	(revision 10341)
+++ /branches/camera/src/world_entities/blackscreen.h	(revision 10342)
@@ -8,7 +8,7 @@
 class Material;
 
-class blackscreen : public WorldEntity
+class BlackScreen : public WorldEntity
 {
-    ObjectListDeclaration(blackscreen);
+    ObjectListDeclaration(BlackScreen);
 
   private:
@@ -21,7 +21,7 @@
 
   public:
-    blackscreen();
-    blackscreen(const TiXmlElement* root);
-    virtual ~blackscreen();
+    BlackScreen();
+    BlackScreen(const TiXmlElement* root);
+    virtual ~BlackScreen();
 
     void init();
Index: /branches/camera/src/world_entities/cameraman.cc
===================================================================
--- /branches/camera/src/world_entities/cameraman.cc	(revision 10341)
+++ /branches/camera/src/world_entities/cameraman.cc	(revision 10342)
@@ -35,5 +35,5 @@
   this->cameras.push_back(currentCam);
   State::setCamera(currentCam, currentCam->getTarget());
-  this->fadeToBlack=new blackscreen();
+  this->fadeToBlack=new BlackScreen();
 }
 
Index: /branches/camera/src/world_entities/cameraman.h
===================================================================
--- /branches/camera/src/world_entities/cameraman.h	(revision 10341)
+++ /branches/camera/src/world_entities/cameraman.h	(revision 10342)
@@ -15,5 +15,5 @@
     float nearClip;
     float farClip;
-    blackscreen* fadeToBlack;
+    BlackScreen* fadeToBlack;
 
   public:
